---
# update role namespace
- name: 'role.namespace.update'
  set_fact:
    role_namespace: '{{ run_mode|upper }}.{{ sys_os_family }}'


# SETUP APT REPOSITORIES
# ======================

# install requirements
- name: '{{ role_namespace }}.repos.requirements'
  package:
    name:
      - 'software-properties-common'

# install additional repositories
- name: '{{ role_namespace }}.repos.additional'
  apt_repository:
    repo: '{{ item }}'
    state: present
    validate_certs: no
  with_items: '{{ additional_repositories|default([]) }}'

# install additional packages
- name: '{{ role_namespace }}.packages.additional'
  package:
    name: '{{ additional_os_packages|default([]) }}'
  retries: 3
  delay: 10


# eof
